{"openapi":"3.0.0","info":{"title":"Abby Public API","description":"Official public API for Abby — business management for freelancers and micro-enterprises.","version":"1.116.0","contact":{"name":"Abby Support","url":"https://abby.fr"}},"servers":[{"url":"https://api.abby.fr","description":"Production server"}],"paths":{"/incomeBook":{"post":{"operationId":"IncomeBookController_postIncomeBookItem","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateIncomeBookItemDto"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadIncomeBookItemDto"}}}}},"security":[{"bearer":[]}],"tags":["IncomeBook"]}},"/incomeBook/{id}":{"delete":{"operationId":"IncomeBookController_deletePurchaseIncomeBookItem","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"security":[{"bearer":[]}],"tags":["IncomeBook"]}},"/opportunity":{"post":{"deprecated":true,"description":"This endpoint is deprecated. Use POST /v2/opportunity instead.","operationId":"OpportunityController_createOpportunity","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegacyCreateOpportunityDto"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegacyReadOpportunityDto"}}}}},"security":[{"bearer":[]}],"summary":"Create opportunity (deprecated)","tags":["Opportunity"]}},"/opportunity/categories":{"get":{"deprecated":true,"description":"This endpoint is deprecated. Use GET /v2/opportunity/categories instead.","operationId":"OpportunityController_getCategories","parameters":[],"responses":{"200":{"description":""}},"security":[{"bearer":[]}],"summary":"Get opportunity categories (deprecated)","tags":["Opportunity"]}},"/opportunity/{id}":{"put":{"deprecated":true,"description":"This endpoint is deprecated. Use PUT /v2/opportunity/:id instead.","operationId":"OpportunityController_updateOpportunity","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegacyUpdateOpportunityDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegacyReadOpportunityDto"}}}}},"security":[{"bearer":[]}],"summary":"Update opportunity (deprecated)","tags":["Opportunity"]},"get":{"deprecated":true,"description":"This endpoint is deprecated. Use GET /v2/opportunity/:id instead.","operationId":"OpportunityController_getOpportunity","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegacyReadOpportunityDto"}}}}},"security":[{"bearer":[]}],"summary":"Get opportunity (deprecated)","tags":["Opportunity"]},"delete":{"deprecated":true,"description":"This endpoint is deprecated. Use DELETE /v2/opportunity/:id instead.","operationId":"OpportunityController_deleteOpportunity","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"security":[{"bearer":[]}],"summary":"Delete opportunity (deprecated)","tags":["Opportunity"]}},"/provider":{"post":{"description":"Creates a third-party of type PROVIDER (supplier). Providers are used as `thirdPartyId` when posting purchase register entries (`POST /v3/purchaseRegister`). Providers are distinct from contacts and organizations, which are customers used in invoicing.","operationId":"ProviderController_createProvider","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateThirdPartyDto"}}}},"responses":{"200":{"description":"Provider created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadThirdPartyDto"}}}},"400":{"description":"Invalid payload"},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"Create a provider (supplier)","tags":["Provider"]}},"/provider/{id}":{"patch":{"operationId":"ProviderController_updateProvider","parameters":[{"name":"id","required":true,"in":"path","description":"ID of the provider to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateThirdPartyDto"}}}},"responses":{"200":{"description":"Provider updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadThirdPartyDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Provider not found"}},"security":[{"bearer":[]}],"summary":"Update a provider (supplier)","tags":["Provider"]},"delete":{"operationId":"ProviderController_deleteProvider","parameters":[{"name":"id","required":true,"in":"path","description":"ID of the provider to delete","schema":{"type":"string"}}],"responses":{"204":{"description":"Provider deleted successfully"},"401":{"description":"Unauthorized"},"404":{"description":"Provider not found"}},"security":[{"bearer":[]}],"summary":"Delete a provider (supplier)","tags":["Provider"]}},"/providers":{"get":{"description":"Returns a paginated list of third-parties. Filter `type=PROVIDER` to get suppliers used by the Purchase Register. Use the `id` of a returned provider as `thirdPartyId` when creating a purchase register entry.","operationId":"ProvidersController_getProviders","parameters":[{"name":"page","required":true,"in":"query","schema":{"type":"number"}},{"name":"limit","required":true,"in":"query","schema":{"type":"number"}},{"name":"search","required":false,"in":"query","schema":{"type":"string"}},{"name":"type","required":false,"in":"query","schema":{"$ref":"#/components/schemas/ThirdPartyType"}},{"name":"sortBy","required":false,"in":"query","schema":{"type":"array","items":{"type":"string"}}},{"name":"sortDesc","required":false,"in":"query","schema":{"type":"array","items":{"type":"string"}}},{"name":"countWithoutFilters","required":false,"in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Providers retrieved successfully","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReadThirdPartyDto"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"List providers (suppliers) paginated","tags":["Provider"]},"post":{"description":"Bulk-creates several providers in a single call. For creating one provider, prefer `POST /provider`.","operationId":"ProvidersController_createProviders","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CreateThirdPartyDto"}}}}},"responses":{"200":{"description":"Providers created successfully"},"400":{"description":"Invalid payload"},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"Create multiple providers (suppliers) in batch","tags":["Provider"]}},"/v2/purchaseRegister":{"post":{"operationId":"PurchaseRegisterController_createPurchaseRegisterItem_v2","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAccountingBookDto"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAccountingBookDto"}}}}},"security":[{"bearer":[]}],"tags":["PurchaseRegister"]}},"/v2/purchaseRegister/{id}":{"delete":{"operationId":"PurchaseRegisterController_deletePurchaseRegisterItem_v2","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"security":[{"bearer":[]}],"tags":["PurchaseRegister"]}},"/purchaseRegister":{"post":{"operationId":"PurchaseRegisterLegacyController_createPurchaseRegisterItem","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePurchaseRegisterItemLegacyDto"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadPurchaseRegisterItemLegacyDto"}}}}},"security":[{"bearer":[]}],"tags":["PurchaseRegister"]}},"/purchaseRegister/{id}":{"delete":{"operationId":"PurchaseRegisterLegacyController_deletePurchaseRegisterItem","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"security":[{"bearer":[]}],"tags":["PurchaseRegister"]}},"/task":{"post":{"operationId":"TaskController_createTask","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTaskDto"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadTaskDto"}}}}},"security":[{"bearer":[]}],"tags":["Task"]}},"/task/{id}":{"patch":{"operationId":"TaskController_updateTask","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTaskDto"}}}},"responses":{"200":{"description":""}},"security":[{"bearer":[]}],"tags":["Task"]},"delete":{"operationId":"TaskController_deleteTask","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"security":[{"bearer":[]}],"tags":["Task"]}},"/webhook":{"post":{"operationId":"WebhookController_postWebhookCompany","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateWebhookDto"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadWebhookDto"}}}}},"security":[{"bearer":[]}],"tags":["Webhooks"]}},"/webhook/{id}":{"delete":{"operationId":"WebhookController_deleteWebhookCompany","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"security":[{"bearer":[]}],"tags":["Webhooks"]}},"/v2/billing/estimate/{customerId}":{"post":{"operationId":"EstimateController_createEstimateByContactOrOrganizationId_v2","parameters":[{"name":"customerId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateEstimateByCustomerIdDto"}}}},"responses":{"201":{"description":"Estimate created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadEstimateDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"Create a new estimate with a customerId that can be a contactId or an organizationId","tags":["estimate"]}},"/v2/billing/estimate/{estimateId}/timeline":{"patch":{"operationId":"EstimateController_updateTimeline_v2","parameters":[{"name":"estimateId","required":true,"in":"path","description":"ID of the estimate to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEstimateTimelineDto"}}}},"responses":{"200":{"description":"Estimate timeline updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadEstimateDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Update estimate timeline","tags":["estimate"]}},"/v2/billing/estimate/{estimateId}/sign":{"patch":{"operationId":"EstimateController_sign_v2","parameters":[{"name":"estimateId","required":true,"in":"path","description":"ID of the estimate or purchase order to sign","schema":{"type":"string"}}],"responses":{"200":{"description":"Estimate or purchase order signed successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadEstimateDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Sign estimate or purchase order","tags":["estimate"]}},"/v2/billing/estimate/{estimateId}/unsign":{"patch":{"operationId":"EstimateController_unsign_v2","parameters":[{"name":"estimateId","required":true,"in":"path","description":"ID of the estimate or purchase order to unsign","schema":{"type":"string"}}],"responses":{"200":{"description":"Estimate or purchase order unsigned successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadEstimateDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Unsign estimate or purchase order","tags":["estimate"]}},"/v2/billing/estimate/{estimateId}/refuse":{"patch":{"operationId":"EstimateController_refuse_v2","parameters":[{"name":"estimateId","required":true,"in":"path","description":"ID of the estimate or purchase order to refuse","schema":{"type":"string"}}],"responses":{"200":{"description":"Estimate or purchase order refused successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadEstimateDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Refuse estimate or purchase order","tags":["estimate"]}},"/v2/billing/estimate/{estimateId}/unrefuse":{"patch":{"operationId":"EstimateController_unrefuse_v2","parameters":[{"name":"estimateId","required":true,"in":"path","description":"ID of the estimate or purchase order to unrefuse","schema":{"type":"string"}}],"responses":{"200":{"description":"Estimate or purchase order unrefused successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadEstimateDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Unrefuse estimate or purchase order","tags":["estimate"]}},"/v2/billing/estimate/{id}/final-invoice":{"post":{"description":"Creates a draft final invoice linked to the estimate. No body. The estimate must be signed and must not already have a final invoice. Finalized or paid advances on the estimate are deducted automatically from the remaining amount. Use the returned invoice id with PATCH /v2/billing/{invoiceId}/finalize then POST /v2/accounting-billing/invoice/{invoiceId}/reconciliate.","operationId":"EstimateController_createFinalInvoice_v2","parameters":[{"name":"id","required":true,"in":"path","description":"ID of the signed estimate","schema":{"type":"string"}}],"responses":{"201":{"description":"Final invoice created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"400":{"description":"Estimate is not signed or already has a final invoice"},"401":{"description":"Unauthorized"},"404":{"description":"Estimate not found"}},"security":[{"bearer":[]}],"summary":"Create a final invoice from a signed estimate","tags":["estimate"]}},"/v2/billing/estimate/{id}/advance":{"post":{"description":"Creates a draft advance from a signed estimate. No body. The default amount is 30% of the estimate (or 50% of the remaining amount after the third advance). This does not read advanceEstimateLines. To set a custom amount or percentage, call PATCH /v2/billing/advance/{advanceId}/amount on the returned id before finalize.","operationId":"EstimateController_createAdvance_v2","parameters":[{"name":"id","required":true,"in":"path","description":"ID of the signed estimate","schema":{"type":"string"}}],"responses":{"200":{"description":"Invoice advance created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAdvanceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Create invoice advance","tags":["estimate"]}},"/v2/billing/estimate/{estimateId}/general-informations":{"patch":{"operationId":"EstimateController_updateGeneralInformations_v2","parameters":[{"name":"estimateId","required":true,"in":"path","description":"ID of the estimate to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEstimateGeneralInformationsDto"}}}},"responses":{"200":{"description":"Estimate general informations updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadEstimateDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Estimate not found"}},"security":[{"bearer":[]}],"summary":"Update estimate general informations","tags":["estimate"]}},"/v2/billing/estimate/{estimateId}/locale":{"put":{"operationId":"EstimateController_updateLocale_v2","parameters":[{"name":"estimateId","required":true,"in":"path","description":"ID of the estimate to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingLocaleDto"}}}},"responses":{"200":{"description":"Estimate locale updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadEstimateDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Estimate not found"}},"security":[{"bearer":[]}],"summary":"Update estimate locale","tags":["estimate"]}},"/v2/billing/estimate/{estimateId}/currency":{"put":{"operationId":"EstimateController_updateCurrency_v2","parameters":[{"name":"estimateId","required":true,"in":"path","description":"ID of the estimate to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingCurrencyDto"}}}},"responses":{"200":{"description":"Asset currency updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadEstimateDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Estimate not found"}},"security":[{"bearer":[]}],"summary":"Update asset currency","tags":["estimate"]}},"/v2/billing/estimate/{estimateId}/advance-lines":{"patch":{"operationId":"EstimateController_updateAdvanceLines_v2","parameters":[{"name":"estimateId","required":true,"in":"path","description":"ID of the estimate to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEstimateAdvanceLinesDto"}}}},"responses":{"200":{"description":"Estimate advance lines updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadEstimateDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"404":{"description":"Estimate not found"}},"security":[{"bearer":[]}],"summary":"Update estimate advance lines","tags":["estimate"]}},"/v2/billing/invoice/{invoiceId}":{"get":{"operationId":"InvoiceController_getInvoice_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to retrieve","schema":{"type":"string"}}],"responses":{"200":{"description":"Invoice retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Get an invoice by ID","tags":["invoice"]}},"/v2/billing/invoice/{customerId}":{"post":{"operationId":"InvoiceController_createInvoiceByContactOrOrganizationId_v2","parameters":[{"name":"customerId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":"Invoice created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"Create a new invoice with a customerId that can be a contactId or an organizationId","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/lines":{"patch":{"deprecated":true,"description":"Use the PATCH /v2/billing/{billingId}/lines endpoint instead","operationId":"InvoiceController_updateInvoiceLines_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingLinesDto"}}}},"responses":{"200":{"description":"Invoice lines updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Update invoice lines","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/delivery-address":{"patch":{"deprecated":true,"description":"Use the PATCH /v2/billing/{billingId}/delivery-address endpoint instead","operationId":"InvoiceController_updateInvoiceDeliveryAddress_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInvoiceDeliveryAddressDto"}}}},"responses":{"200":{"description":"Invoice delivery address updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"** DEPRECATED 1.91 read description ** Update invoice delivery address","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/timeline":{"patch":{"operationId":"InvoiceController_updateTimeline_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInvoiceTimelineDto"}}}},"responses":{"200":{"description":"Invoice timeline updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Update invoice timeline","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/payment-request":{"patch":{"operationId":"InvoiceController_updateInvoicePaymentRequest_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInvoicePaymentRequestDto"}}}},"responses":{"200":{"description":"Payment request updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Create or update invoice payment request infos","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/finalize":{"patch":{"deprecated":true,"description":"Use the PATCH /v2/billing/{billingId}/finalize endpoint instead","operationId":"InvoiceController_finalizeInvoice_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to finalize","schema":{"type":"string"}}],"responses":{"200":{"description":"Invoice finalized successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"** DEPRECATED 1.91 read description ** Finalize an invoice","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/general-informations":{"patch":{"operationId":"InvoiceController_updateInvoiceGeneralInformations_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInvoiceGeneralInformationsDto"}}}},"responses":{"200":{"description":"Invoice general informations updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Update invoice general informations","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/activate-online-payment":{"patch":{"operationId":"InvoiceController_activateOnlinePayment_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice","schema":{"type":"string"}}],"responses":{"200":{"description":"Online payment activated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"400":{"description":"Invoice must be finalized or payment account not active"},"401":{"description":"Unauthorized"},"403":{"description":"Plan feature not accessible"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Activate online payment on a finalized invoice","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/locale":{"put":{"operationId":"InvoiceController_updateInvoiceLocale_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingLocaleDto"}}}},"responses":{"200":{"description":"Invoice locale updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Update invoice locale","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/currency":{"put":{"operationId":"InvoiceController_updateInvoiceCurrency_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingCurrencyDto"}}}},"responses":{"200":{"description":"Invoice currency updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Update invoice currency","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/display-settings":{"patch":{"deprecated":true,"description":"Use the PATCH /v2/billing/{billingId}/display-settings endpoint instead","operationId":"InvoiceController_updateDisplaySettings_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID de la facture à mettre à jour","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingDisplaySettingsDto"}}}},"responses":{"200":{"description":"Paramètres d'affichage de la facture mis à jour avec succès","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Non autorisé"},"404":{"description":"Facture non trouvée"}},"security":[{"bearer":[]}],"summary":"** DEPRECATED ** Mettre à jour les paramètres d'affichage de la facture","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/bank-information":{"patch":{"deprecated":true,"description":"Use the PATCH /v2/billing/{billingId}/bank-information endpoint instead","operationId":"InvoiceController_updateInvoiceBankInformation_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInvoiceBankInformationDto"}}}},"responses":{"200":{"description":"Invoice bank information updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"** DEPRECATED 1.91 read description ** Update invoice bank information","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/frequency":{"post":{"operationId":"InvoiceController_createInvoiceFrequency_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateInvoiceFrequencyDto"}}}},"responses":{"200":{"description":"Invoice frequency created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Create invoice frequency","tags":["invoice"]},"delete":{"operationId":"InvoiceController_deleteInvoiceFrequency_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to update","schema":{"type":"string"}}],"responses":{"200":{"description":"Invoice frequency deleted successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Create invoice frequency","tags":["invoice"]},"put":{"operationId":"InvoiceController_updateInvoiceFrequency_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to update","schema":{"type":"string"}},{"name":"frequencyId","required":true,"in":"path","description":"ID of the frequency to update","schema":{}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateInvoiceFrequencyDto"}}}},"responses":{"200":{"description":"Invoice bank information updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Update invoice frequency","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/asset":{"post":{"operationId":"InvoiceController_createAsset_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to create asset from","schema":{"type":"string"}}],"responses":{"200":{"description":"Asset created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAssetDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Create asset from invoice","tags":["invoice"]}},"/v2/billing/invoice/{invoiceId}/cancel":{"post":{"description":"Creates a finalized asset to cancel the invoice. Optionally archives both documents.","operationId":"InvoiceController_cancelInvoice_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to cancel","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelBillingDto"}}}},"responses":{"200":{"description":"Invoice cancelled successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Cancel an invoice","tags":["invoice"]}},"/v2/billings":{"get":{"operationId":"BillingsController_getBillings_v2","parameters":[{"name":"page","required":true,"in":"query","schema":{"type":"number"}},{"name":"limit","required":true,"in":"query","schema":{"type":"number"}},{"name":"search","required":false,"in":"query","schema":{"type":"string"}},{"name":"state","required":false,"in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/BillingState"}}},{"name":"late","required":false,"in":"query","schema":{"type":"boolean"}},{"name":"type","required":false,"in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/BillingType"}}},{"name":"tiersPrestationIsActivatedForThisBilling","required":false,"in":"query","schema":{"type":"boolean"}},{"name":"customerId","required":false,"in":"query","schema":{"type":"string"}},{"name":"organizationId","required":false,"in":"query","schema":{"type":"string"}},{"name":"opportunityId","required":false,"in":"query","schema":{"type":"string"}},{"name":"countWithoutFilters","required":false,"in":"query","schema":{"type":"boolean"}},{"name":"test","required":true,"in":"query","schema":{"type":"boolean"}},{"name":"archived","required":false,"in":"query","schema":{"type":"boolean"}},{"name":"range","required":false,"in":"query","schema":{"type":"array","items":{"type":"string"}}},{"name":"rangeType","required":false,"in":"query","schema":{"$ref":"#/components/schemas/BillingRangeType"}},{"name":"onlyReminderActive","required":false,"in":"query","schema":{"type":"boolean"}},{"name":"onlyOnlineSignature","required":false,"in":"query","schema":{"type":"boolean"}},{"name":"onlyOnlinePayment","required":false,"in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"The billings records","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingCollectionDto"}}}}},"security":[{"bearer":[]}],"summary":"List billing documents","tags":["Billings"]}},"/v2/billing/{billingId}/download":{"get":{"operationId":"BillingController_downloadPDF_v2","parameters":[{"name":"billingId","required":true,"in":"path","schema":{"type":"string"}},{"name":"locale","required":false,"in":"query","description":"Locale for the PDF generation","schema":{"$ref":"#/components/schemas/BillingLocale"}}],"responses":{"200":{"description":"","content":{"application/pdf":{"schema":{"type":"string","format":"binary"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Billing document not found"}},"security":[{"bearer":[]}],"summary":"Download a billing document","tags":["Billing"]}},"/v2/billing/{documentId}/archive":{"patch":{"operationId":"BillingController_archiveBillingDocument_v2","parameters":[{"name":"documentId","required":true,"in":"path","description":"ID of the document to archive","schema":{"type":"string"}}],"responses":{"200":{"description":"Document archived successfully","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ReadInvoiceDto"},{"$ref":"#/components/schemas/ReadEstimateDto"},{"$ref":"#/components/schemas/ReadAdvanceDto"},{"$ref":"#/components/schemas/ReadAssetDto"}]}}}},"401":{"description":"Unauthorized"},"404":{"description":"Document not found"}},"security":[{"bearer":[]}],"summary":"Archive a document","tags":["Billing"]}},"/v2/billing/{documentId}/unarchive":{"patch":{"operationId":"BillingController_unarchiveBillingDocument_v2","parameters":[{"name":"documentId","required":true,"in":"path","description":"ID of the document to unarchive","schema":{"type":"string"}}],"responses":{"200":{"description":"Document unarchived successfully","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ReadInvoiceDto"},{"$ref":"#/components/schemas/ReadEstimateDto"},{"$ref":"#/components/schemas/ReadAdvanceDto"},{"$ref":"#/components/schemas/ReadAssetDto"}]}}}},"401":{"description":"Unauthorized"},"404":{"description":"Document not found"}},"security":[{"bearer":[]}],"summary":"Unarchive a document","tags":["Billing"]}},"/v2/billing/{documentId}/title":{"patch":{"operationId":"BillingController_updateTitle_v2","parameters":[{"name":"documentId","required":true,"in":"path","description":"ID of the document to update title","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTitleDto"}}}},"responses":{"200":{"description":"Title updated successfully","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ReadInvoiceDto"},{"$ref":"#/components/schemas/ReadEstimateDto"},{"$ref":"#/components/schemas/ReadAdvanceDto"},{"$ref":"#/components/schemas/ReadAssetDto"}]}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Update title of a document","tags":["Billing"]}},"/v2/billing/{documentId}":{"delete":{"operationId":"BillingController_deleteBillingDocument_v2","parameters":[{"name":"documentId","required":true,"in":"path","description":"ID of the document to delete","schema":{"type":"string"}}],"responses":{"204":{"description":"Document deleted successfully"},"401":{"description":"Unauthorized"},"404":{"description":"Document not found"}},"security":[{"bearer":[]}],"summary":"Definitely delete a document","tags":["Billing"]},"get":{"operationId":"BillingController_getBillingById_v2","parameters":[{"name":"documentId","required":true,"in":"path","description":"ID of the billing document","schema":{"type":"string"}}],"responses":{"200":{"description":"Billing document retrieved successfully","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ReadInvoiceDto"},{"$ref":"#/components/schemas/ReadEstimateDto"},{"$ref":"#/components/schemas/ReadAdvanceDto"},{"$ref":"#/components/schemas/ReadAssetDto"}]}}}},"401":{"description":"Unauthorized"},"404":{"description":"Billing document not found"}},"security":[{"bearer":[]}],"summary":"Get a billing document by ID (any type)","tags":["Billing"]}},"/v2/billing/send-test-signature":{"post":{"operationId":"BillingController_sendTestEmailSignature_v2","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendTestEmailSignatureDto"}}}},"responses":{"204":{"description":"Email sent successfully"},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"tags":["Billing"]}},"/v2/billing/{billingId}/email/{emailType}/render":{"get":{"operationId":"BillingController_renderEmail_v2","parameters":[{"name":"billingId","required":true,"in":"path","description":"ID of the billing to render","schema":{"type":"string"}},{"name":"emailType","required":true,"in":"path","description":"Type of email to render","schema":{"$ref":"#/components/schemas/BillingEmailType"}}],"responses":{"200":{"description":"Email rendu avec succès","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingEmailDto"}}}},"401":{"description":"Non autorisé"},"404":{"description":"Document non trouvée"}},"security":[{"bearer":[]}],"summary":"Render a billing email","tags":["Billing"]}},"/v2/billing/{billingId}/email/{emailType}/test":{"post":{"operationId":"BillingController_sendEmailTest_v2","parameters":[{"name":"billingId","required":true,"in":"path","description":"ID of the billing to send the email test","schema":{"type":"string"}},{"name":"emailType","required":true,"in":"path","description":"Type of email to send","schema":{"$ref":"#/components/schemas/BillingEmailType"}}],"responses":{"204":{"description":"Email sent successfully"},"401":{"description":"Non autorisé"},"404":{"description":"Document non trouvée"}},"security":[{"bearer":[]}],"summary":"Send an invoice email test","tags":["Billing"]}},"/v2/billing/{billingId}/send-by-email":{"post":{"operationId":"BillingController_sendByEmail_v2","parameters":[{"name":"billingId","required":true,"in":"path","description":"ID of the billing document to send","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SendBillingByEmailDto"}}}},"responses":{"204":{"description":"Email sent successfully"},"400":{"description":"Too many emails sent for this billing"},"401":{"description":"Unauthorized"},"403":{"description":"Plan feature not available"},"404":{"description":"Billing document not found"}},"security":[{"bearer":[]}],"summary":"Send billing document by email","tags":["Billing"]}},"/v2/billing/{billingId}/bank-information":{"patch":{"operationId":"BillingController_updateBankInformation_v2","parameters":[{"name":"billingId","required":true,"in":"path","description":"ID of the billing to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingBankInformationDto"}}}},"responses":{"200":{"description":"Billing bank information updated successfully","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ReadInvoiceDto"},{"$ref":"#/components/schemas/ReadEstimateDto"},{"$ref":"#/components/schemas/ReadAdvanceDto"},{"$ref":"#/components/schemas/ReadAssetDto"}]}}}},"400":{"description":"asset.cannot_update_bank_information"},"401":{"description":"Unauthorized"},"404":{"description":"Billing not found"}},"security":[{"bearer":[]}],"summary":"Update document bank information","tags":["Billing"]}},"/v2/billing/{billingId}/delivery-address":{"patch":{"operationId":"BillingController_updateBillingDeliveryAddress_v2","parameters":[{"name":"billingId","required":true,"in":"path","description":"ID of the billing to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingDeliveryAddressDto"}}}},"responses":{"200":{"description":"Billing delivery address updated successfully","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ReadInvoiceDto"},{"$ref":"#/components/schemas/ReadEstimateDto"},{"$ref":"#/components/schemas/ReadAdvanceDto"},{"$ref":"#/components/schemas/ReadAssetDto"}]}}}},"400":{"description":"asset.cannot_update_delivery_address"},"401":{"description":"Unauthorized"},"404":{"description":"Billing not found"}},"security":[{"bearer":[]}],"summary":"Update document delivery address","tags":["Billing"]}},"/v2/billing/{billingId}/finalize":{"patch":{"operationId":"BillingController_finalize_v2","parameters":[{"name":"billingId","required":true,"in":"path","description":"ID of the billing to finalize","schema":{"type":"string"}}],"responses":{"200":{"description":"Billing finalized successfully","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ReadInvoiceDto"},{"$ref":"#/components/schemas/ReadEstimateDto"},{"$ref":"#/components/schemas/ReadAdvanceDto"},{"$ref":"#/components/schemas/ReadAssetDto"}]}}}},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Finalize a billing document","tags":["Billing"]}},"/v2/billing/{billingId}/lines":{"patch":{"operationId":"BillingController_updateLines_v2","parameters":[{"name":"billingId","required":true,"in":"path","description":"ID of the billing to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingLinesDto"}}}},"responses":{"200":{"description":"Billing lines updated successfully","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ReadInvoiceDto"},{"$ref":"#/components/schemas/ReadEstimateDto"},{"$ref":"#/components/schemas/ReadAssetDto"}]}}}},"401":{"description":"Unauthorized"},"404":{"description":"Billing not found"}},"security":[{"bearer":[]}],"summary":"Update billing lines","tags":["Billing"]}},"/v2/billing/{billingId}/sap-products":{"patch":{"operationId":"BillingController_migrateSapProducts_v2","parameters":[{"name":"billingId","required":true,"in":"path","description":"ID of the invoice to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MigrateSapProductsDto"}}}},"responses":{"200":{"description":"Invoice lines updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadInvoiceDto"}}}},"400":{"description":"Bad request - only invoices are supported"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]}],"summary":"Migrate invoice lines for SAP compliance","tags":["Billing"]}},"/v2/billing/{billingId}/include-discount-disbursement":{"patch":{"operationId":"BillingController_toggleIncludeDiscountDisbursement_v2","parameters":[{"name":"billingId","required":true,"in":"path","description":"ID of the billing to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"properties":{"includeDiscountDisbursement":{"type":"boolean"}}}}}},"responses":{"200":{"description":"Billing updated successfully","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ReadInvoiceDto"},{"$ref":"#/components/schemas/ReadEstimateDto"},{"$ref":"#/components/schemas/ReadAssetDto"}]}}}}},"security":[{"bearer":[]}],"summary":"Toggle includeDiscountDisbursement option on billing (no parent allowed)","tags":["Billing"]}},"/v2/billing/{billingId}/display-settings":{"patch":{"operationId":"BillingController_updateDisplaySettings_v2","parameters":[{"name":"billingId","required":true,"in":"path","description":"ID of the billing document to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingDisplaySettingsDto"}}}},"responses":{"200":{"description":"Billing display settings updated successfully","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ReadInvoiceDto"},{"$ref":"#/components/schemas/ReadEstimateDto"},{"$ref":"#/components/schemas/ReadAdvanceDto"},{"$ref":"#/components/schemas/ReadAssetDto"}]}}}},"401":{"description":"Unauthorized"},"404":{"description":"Billing document not found"}},"security":[{"bearer":[]}],"summary":"Update billing display settings","tags":["Billing"]}},"/v2/billing/{billingId}/theme":{"patch":{"operationId":"BillingController_updateDocumentTheme_v2","parameters":[{"name":"billingId","required":true,"in":"path","description":"ID of the billing document to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingDocumentThemeDto"}}}},"responses":{"200":{"description":"Billing document theme updated successfully","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ReadInvoiceDto"},{"$ref":"#/components/schemas/ReadEstimateDto"},{"$ref":"#/components/schemas/ReadAdvanceDto"},{"$ref":"#/components/schemas/ReadAssetDto"}]}}}},"400":{"description":"Cannot update finalized document"},"401":{"description":"Unauthorized"},"404":{"description":"Billing document or theme not found"}},"security":[{"bearer":[]}],"summary":"Update billing document theme","tags":["Billing"]}},"/v2/billing/payment-account":{"get":{"operationId":"BillingController_retrievePaymentAccount_v2","parameters":[],"responses":{"200":{"description":"Payment account retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadPaymentAccountDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Payment account not found"}},"security":[{"bearer":[]}],"summary":"Retrieve payment account","tags":["Billing"]}},"/v2/billing/advance/{advanceId}":{"get":{"operationId":"AdvanceController_getById_v2","parameters":[{"name":"advanceId","required":true,"in":"path","description":"ID of the advance to retrieve","schema":{"type":"string"}}],"responses":{"200":{"description":"Advance retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAdvanceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Advance not found"}},"security":[{"bearer":[]}],"summary":"Get an advance by ID","tags":["advance"]}},"/v2/billing/advance/{advanceId}/general-informations":{"patch":{"operationId":"AdvanceController_updateGeneralInformations_v2","parameters":[{"name":"advanceId","required":true,"in":"path","description":"ID of the advance to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAdvanceGeneralInformationsDto"}}}},"responses":{"200":{"description":"Advance general informations updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAdvanceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Advance not found"}},"security":[{"bearer":[]}],"summary":"Update advance general informations","tags":["advance"]}},"/v2/billing/advance/{advanceId}/activate-online-payment":{"patch":{"operationId":"AdvanceController_activateOnlinePayment_v2","parameters":[{"name":"advanceId","required":true,"in":"path","description":"ID of the advance","schema":{"type":"string"}}],"responses":{"200":{"description":"Online payment activated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAdvanceDto"}}}},"400":{"description":"Advance must be finalized or payment account not active"},"401":{"description":"Unauthorized"},"403":{"description":"Plan feature not accessible"},"404":{"description":"Advance not found"}},"security":[{"bearer":[]}],"summary":"Activate online payment on a finalized advance","tags":["advance"]}},"/v2/billing/advance/{advanceId}/amount":{"patch":{"description":"Sets the amount of a draft advance. Use mode AMOUNT with amount in cents, or mode PERCENTAGE with percentage. POST /v2/billing/estimate/{id}/advance always creates a 30% draft; call this endpoint before finalize to apply a custom amount. Cannot be used once the advance is finalized.","operationId":"AdvanceController_updateAmount_v2","parameters":[{"name":"advanceId","required":true,"in":"path","description":"ID of the advance to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAdvanceAmountDto"}}}},"responses":{"200":{"description":"Advance amount updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAdvanceDto"}}}},"400":{"description":"Advance is finalized or payload is invalid"},"401":{"description":"Unauthorized"},"404":{"description":"Advance not found"}},"security":[{"bearer":[]}],"summary":"Update advance amount and mode","tags":["advance"]}},"/v2/billing/advance/{advanceId}/asset":{"post":{"operationId":"AdvanceController_createAsset_v2","parameters":[{"name":"advanceId","required":true,"in":"path","description":"ID of the invoice to create asset from","schema":{"type":"string"}}],"responses":{"200":{"description":"Asset created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAssetDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Advance not found"}},"security":[{"bearer":[]}],"summary":"Create asset from advance","tags":["advance"]}},"/v2/billing/advance/{advanceId}/cancel":{"post":{"description":"Creates a finalized asset to cancel the advance. Optionally archives both documents.","operationId":"AdvanceController_cancelAdvance_v2","parameters":[{"name":"advanceId","required":true,"in":"path","description":"ID of the advance to cancel","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CancelBillingDto"}}}},"responses":{"200":{"description":"Advance cancelled successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAdvanceDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Advance not found"}},"security":[{"bearer":[]}],"summary":"Cancel an advance","tags":["advance"]}},"/v2/billing/asset/{assetId}":{"get":{"operationId":"AssetController_getAsset_v2","parameters":[{"name":"assetId","required":true,"in":"path","description":"ID of the asset to retrieve","schema":{"type":"string"}}],"responses":{"200":{"description":"Asset retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAssetDto"}}}},"404":{"description":"Asset not found"}},"security":[{"bearer":[]}],"summary":"Get an asset by ID","tags":["asset"]}},"/v2/billing/asset":{"post":{"operationId":"AssetController_createAsset_v2","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAssetDto"}}}},"responses":{"201":{"description":"Asset created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAssetDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"Create a new asset","tags":["asset"]}},"/v2/billing/asset/{assetId}/general-informations":{"patch":{"operationId":"AssetController_updateGeneralInformations_v2","parameters":[{"name":"assetId","required":true,"in":"path","description":"ID of the asset to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssetGeneralInformationsDto"}}}},"responses":{"200":{"description":"Asset general informations updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAssetDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Asset not found"}},"security":[{"bearer":[]}],"summary":"Update asset general informations","tags":["asset"]}},"/v2/billing/asset/{assetId}/timeline":{"patch":{"operationId":"AssetController_updateTimeline_v2","parameters":[{"name":"assetId","required":true,"in":"path","description":"ID of the asset to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssetTimelineDto"}}}},"responses":{"200":{"description":"Asset timeline updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAssetDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Asset not found"}},"security":[{"bearer":[]}],"summary":"Update asset timeline","tags":["asset"]}},"/v2/billing/asset/{assetId}/locale":{"put":{"operationId":"AssetController_updateLocale_v2","parameters":[{"name":"assetId","required":true,"in":"path","description":"ID of the asset to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingLocaleDto"}}}},"responses":{"200":{"description":"Asset locale updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAssetDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Asset not found"}},"security":[{"bearer":[]}],"summary":"Update asset locale","tags":["asset"]}},"/v2/billing/asset/{assetId}/currency":{"put":{"operationId":"AssetController_updateCurrency_v2","parameters":[{"name":"assetId","required":true,"in":"path","description":"ID of the asset to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingCurrencyDto"}}}},"responses":{"200":{"description":"Asset currency updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadAssetDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Asset not found"}},"security":[{"bearer":[]}],"summary":"Update asset currency","tags":["asset"]}},"/v2/customer-portal/payments":{"get":{"operationId":"CustomerPortalController_getPayments_v2","parameters":[{"name":"id","required":true,"in":"query","schema":{"type":"string"}},{"name":"token","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RetrieveCustomerPortalPaymentsDto"}}}}},"summary":"Retrieve customer portal billings and metadata","tags":["Customer Portal"]}},"/v2/billing/theme":{"post":{"operationId":"BillingThemeController_createTheme_v2","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBillingThemeDto"}}}},"responses":{"201":{"description":"Theme created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"Create a new billing theme","tags":["billing-theme"]},"get":{"operationId":"BillingThemeController_listThemes_v2","parameters":[],"responses":{"200":{"description":"Themes retrieved successfully","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReadBillingThemeListItemDto"}}}}},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"List all billing themes for the company","tags":["billing-theme"]}},"/v2/billing/theme/assignments":{"put":{"operationId":"BillingThemeController_setThemeAssignments_v2","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetBillingThemeAssignmentsDto"}}}},"responses":{"204":{"description":"Assignments set successfully"},"400":{"description":"Invalid input data"}},"security":[{"bearer":[]}],"summary":"Set all theme assignments for the company","tags":["billing-theme"]},"get":{"operationId":"BillingThemeController_getThemeAssignments_v2","parameters":[],"responses":{"200":{"description":"Assignments retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeAssignmentsDto"}}}},"404":{"description":"Assignments not found"}},"security":[{"bearer":[]}],"summary":"Get all theme assignments for the company","tags":["billing-theme"]}},"/v2/billing/theme/{themeId}":{"get":{"operationId":"BillingThemeController_getTheme_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to retrieve","schema":{"type":"string"}}],"responses":{"200":{"description":"Theme retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Theme not found"}},"security":[{"bearer":[]}],"summary":"Get a billing theme by ID","tags":["billing-theme"]},"patch":{"operationId":"BillingThemeController_updateTheme_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingThemeDto"}}}},"responses":{"200":{"description":"Theme updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"404":{"description":"Theme not found"}},"security":[{"bearer":[]}],"summary":"Partially update a billing theme (except name)","tags":["billing-theme"]},"delete":{"operationId":"BillingThemeController_deleteTheme_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to delete","schema":{"type":"string"}}],"responses":{"204":{"description":"Theme deleted successfully"},"400":{"description":"Cannot delete the last theme"},"401":{"description":"Unauthorized"},"404":{"description":"Theme not found"}},"security":[{"bearer":[]}],"summary":"Delete a billing theme","tags":["billing-theme"]}},"/v2/billing/theme/{themeId}/name":{"put":{"operationId":"BillingThemeController_updateThemeName_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingThemeNameDto"}}}},"responses":{"200":{"description":"Theme name updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"404":{"description":"Theme not found"}},"security":[{"bearer":[]}],"summary":"Update a billing theme name","tags":["billing-theme"]}},"/v2/billing/theme/{themeId}/structure":{"put":{"operationId":"BillingThemeController_updateThemeStructure_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StructureDto"}}}},"responses":{"200":{"description":"Theme structure updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"404":{"description":"Theme not found"}},"security":[{"bearer":[]}],"summary":"Update a billing theme structure","tags":["billing-theme"]}},"/v2/billing/theme/{themeId}/colors":{"put":{"operationId":"BillingThemeController_updateThemeColors_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ColorsDto"}}}},"responses":{"200":{"description":"Theme colors updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"404":{"description":"Theme not found"}},"security":[{"bearer":[]}],"summary":"Update a billing theme colors","tags":["billing-theme"]}},"/v2/billing/theme/{themeId}/logo":{"put":{"operationId":"BillingThemeController_updateThemeLogo_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingThemeLogoDto"}}}},"responses":{"200":{"description":"Theme logo updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"404":{"description":"Theme not found"}},"security":[{"bearer":[]}],"summary":"Update a billing theme logo","tags":["billing-theme"]}},"/v2/billing/theme/{themeId}/typography":{"put":{"operationId":"BillingThemeController_updateThemeTypography_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TypographyDto"}}}},"responses":{"200":{"description":"Theme typography updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"404":{"description":"Theme not found"}},"security":[{"bearer":[]}],"summary":"Update a billing theme typography","tags":["billing-theme"]}},"/v2/billing/theme/{themeId}/table":{"put":{"operationId":"BillingThemeController_updateThemeTable_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TableDto"}}}},"responses":{"200":{"description":"Theme table updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"404":{"description":"Theme not found"}},"security":[{"bearer":[]}],"summary":"Update a billing theme table","tags":["billing-theme"]}},"/v2/billing/theme/{themeId}/decoration":{"put":{"operationId":"BillingThemeController_updateThemeDecoration_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingThemeDecorationDto"}}}},"responses":{"200":{"description":"Theme decoration updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"404":{"description":"Theme not found"}},"security":[{"bearer":[]}],"summary":"Update a billing theme decoration","tags":["billing-theme"]}},"/v2/billing/theme/{themeId}/footer":{"put":{"operationId":"BillingThemeController_updateThemeFooter_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingThemeFooterDto"}}}},"responses":{"200":{"description":"Theme footer updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"404":{"description":"Theme not found"}},"security":[{"bearer":[]}],"summary":"Update a billing theme footer","tags":["billing-theme"]}},"/v2/billing/theme/{themeId}/margins":{"put":{"operationId":"BillingThemeController_updateThemeMargins_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarginsDto"}}}},"responses":{"200":{"description":"Theme margins updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"404":{"description":"Theme not found"}},"security":[{"bearer":[]}],"summary":"Update a billing theme margins","tags":["billing-theme"]}},"/v2/billing/theme/{themeId}/links":{"put":{"operationId":"BillingThemeController_updateThemeLinks_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingThemeLinksDto"}}}},"responses":{"200":{"description":"Theme links updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"404":{"description":"Theme not found"}},"security":[{"bearer":[]}],"summary":"Update a billing theme links","tags":["billing-theme"]}},"/v2/billing/theme/{themeId}/document-types":{"put":{"operationId":"BillingThemeController_updateThemeDocumentTypes_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to assign document types to","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBillingThemeDocumentTypesDto"}}}},"responses":{"200":{"description":"Document types assigned successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"404":{"description":"Assignments not found"}},"security":[{"bearer":[]}],"summary":"Assign document types to a theme","tags":["billing-theme"]}},"/v2/billing/theme/{themeId}/duplicate":{"post":{"operationId":"BillingThemeController_duplicateTheme_v2","parameters":[{"name":"themeId","required":true,"in":"path","description":"ID of the theme to duplicate","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DuplicateBillingThemeDto"}}}},"responses":{"201":{"description":"Theme duplicated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadBillingThemeDto"}}}},"400":{"description":"Invalid input data"},"401":{"description":"Unauthorized"},"404":{"description":"Source theme not found"}},"security":[{"bearer":[]}],"summary":"Duplicate an existing billing theme","tags":["billing-theme"]}},"/v2/billing/theme/assets/upload":{"post":{"operationId":"BillingThemeAssetController_upload_v2","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadThemeAssetDto"}}}},"responses":{"201":{"description":"Asset created, returns signed URL for S3 upload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadUploadThemeAssetDto"}}}},"400":{"description":"Invalid input data"},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"Upload a theme asset (logo, decoration, footer logo)","tags":["billing-theme-asset"]}},"/v2/billing/theme/assets/suggested-colors/{assetId}":{"get":{"operationId":"BillingThemeAssetController_getSuggestedColors_v2","parameters":[{"name":"assetId","required":true,"in":"path","description":"ID of the uploaded billing theme asset","schema":{"type":"string"}}],"responses":{"200":{"description":"Derived color set, or null when the image yields no palette swatches","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadColorSetDto"}}}},"400":{"description":"Theme asset has no file URL"},"401":{"description":"Unauthorized"},"404":{"description":"Theme asset not found"}},"security":[{"bearer":[]}],"summary":"Suggested WCAG-oriented colors derived from a theme asset image","tags":["billing-theme-asset"]}},"/v2/billing/theme/assets/{category}":{"get":{"operationId":"BillingThemeAssetController_list_v2","parameters":[{"name":"category","required":true,"in":"path","description":"Asset category to filter by","schema":{"$ref":"#/components/schemas/ThemeAssetCategory"}}],"responses":{"200":{"description":"List of theme assets","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReadThemeAssetDto"}}}}},"400":{"description":"Invalid category"},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"List theme assets by category","tags":["billing-theme-asset"]}},"/v2/billing/theme/assets/{assetId}":{"delete":{"operationId":"BillingThemeAssetController_delete_v2","parameters":[{"name":"assetId","required":true,"in":"path","description":"ID of the asset to delete","schema":{"type":"string"}}],"responses":{"204":{"description":"Asset deleted successfully"},"401":{"description":"Unauthorized"},"404":{"description":"Asset not found"}},"security":[{"bearer":[]}],"summary":"Delete a theme asset (soft delete)","tags":["billing-theme-asset"]}},"/v2/company/me":{"get":{"operationId":"CompanyController_getMe_v2","parameters":[],"responses":{"200":{"description":"Current company, user and preferences retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadMeDto"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"Get current company, user and preferences","tags":["company"]}},"/v2/catalog":{"get":{"operationId":"CatalogController_paginate_v2","parameters":[{"name":"page","required":true,"in":"query","description":"The page number to retrieve","schema":{"minimum":1,"example":1,"type":"number"}},{"name":"limit","required":true,"in":"query","description":"The number of items per page","schema":{"minimum":1,"example":20,"type":"number"}},{"name":"search","required":false,"in":"query","description":"Optional search term to filter the catalog","schema":{"example":"widget","type":"string"}},{"name":"orderBy","required":false,"in":"query","description":"Optional order by to filter the catalog","schema":{"$ref":"#/components/schemas/CatalogOrderBy"}},{"name":"orderDirection","required":false,"in":"query","description":"Optional order direction to filter the catalog","schema":{"$ref":"#/components/schemas/OrderDirection"}},{"name":"sapCompatible","required":false,"in":"query","description":"Optional sap compatible to filter the catalog","schema":{"example":true,"type":"boolean"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadCatalogCollectionDto"}}}}},"security":[{"bearer":[]}],"summary":"List products with pagination","tags":["catalog"]}},"/v2/catalog/product/{productId}":{"get":{"operationId":"CatalogController_retrieve_v2","parameters":[{"name":"productId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadProductDto"}}}}},"security":[{"bearer":[]}],"summary":"Retrieve a product by id","tags":["catalog"]},"put":{"operationId":"CatalogController_update_v2","parameters":[{"name":"productId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProductDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadProductDto"}}}}},"security":[{"bearer":[]}],"summary":"Update a product","tags":["catalog"]}},"/v2/catalog/product":{"post":{"operationId":"CatalogController_create_v2","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProductDto"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadProductDto"}}}}},"security":[{"bearer":[]}],"summary":"Create a new product","tags":["catalog"]}},"/contact":{"post":{"operationId":"ContactController_createContact","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateContactDto"}}}},"responses":{"201":{"description":"The contact has been successfully created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadContactDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"Create a new contact","tags":["contact"]}},"/contact/{id}":{"get":{"operationId":"ContactController_getContact","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"The contact has been successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadContactDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Contact not found"}},"security":[{"bearer":[]}],"summary":"Get a contact by ID","tags":["contact"]},"put":{"operationId":"ContactController_updateContact","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateContactDto"}}}},"responses":{"200":{"description":"The contact has been successfully updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadContactDto"}}}},"400":{"description":"Bad Request"},"401":{"description":"Unauthorized"},"404":{"description":"Contact not found"}},"security":[{"bearer":[]}],"summary":"Update a contact","tags":["contact"]},"delete":{"operationId":"ContactController_deleteContact","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"401":{"description":"Unauthorized"},"404":{"description":"Contact not found"},"default":{"description":"The contact has been successfully deleted."}},"security":[{"bearer":[]}],"summary":"Delete a contact","tags":["contact"]}},"/contact/by-legacy/{legacyId}":{"get":{"operationId":"ContactController_getContactByLegacyId","parameters":[{"name":"legacyId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"The contact has been successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadContactDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Contact not found"}},"security":[{"bearer":[]}],"summary":"Get a contact by legacy ID","tags":["contact"]}},"/contacts":{"get":{"description":"Get a paginated list of contacts for the current company","operationId":"ContactsController_retrieveContacts","parameters":[{"name":"page","required":false,"in":"query","schema":{"type":"number"}},{"name":"limit","required":false,"in":"query","schema":{"type":"number"}},{"name":"search","required":false,"in":"query","schema":{"type":"string"}},{"name":"orderBy","required":false,"in":"query","schema":{"$ref":"#/components/schemas/ContactOrderBy"}},{"name":"orderDirection","required":false,"in":"query","schema":{"$ref":"#/components/schemas/OrderDirection"}},{"name":"archived","required":false,"in":"query","schema":{"type":"boolean"}},{"name":"forCertificate","required":false,"in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"Successfully retrieved contacts","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadContactsDto"}}}},"401":{"description":""},"500":{"description":""}},"security":[{"bearer":[]}],"summary":"Retrieve contacts","tags":["contact"]}},"/organization":{"post":{"operationId":"OrganizationController_createOrganization","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrganizationDto"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadOrganizationDto"}}}}},"security":[{"bearer":[]}],"tags":["organization"]}},"/organization/{id}":{"get":{"operationId":"OrganizationController_retrieveOrganization","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadOrganizationDto"}}}}},"security":[{"bearer":[]}],"tags":["organization"]},"put":{"operationId":"OrganizationController_updateOrganization","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateOrganizationDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadOrganizationDto"}}}}},"security":[{"bearer":[]}],"tags":["organization"]}},"/organization/{id}/contacts":{"get":{"operationId":"OrganizationController_retrieveOrganizationContacts","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReadContactListItemDto"}}}}}},"security":[{"bearer":[]}],"tags":["organization"]}},"/organization/{id}/contact":{"post":{"operationId":"OrganizationController_createOrganizationContact","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOrganizationContactDto"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadContactDto"}}}}},"security":[{"bearer":[]}],"tags":["organization"]}},"/organization/contact/{id}":{"put":{"operationId":"OrganizationController_updateOrganizationContact","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateOrganizationContactDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadContactDto"}}}}},"security":[{"bearer":[]}],"tags":["organization"]}},"/organization/{organizationId}":{"delete":{"operationId":"OrganizationController_deleteOrganization","parameters":[{"name":"organizationId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"security":[{"bearer":[]}],"tags":["organization"]}},"/organization/{organizationId}/default-contact":{"patch":{"operationId":"OrganizationController_setDefaultContact","parameters":[{"name":"organizationId","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetDefaultContactDto"}}}},"responses":{"200":{"description":""}},"security":[{"bearer":[]}],"tags":["organization"]}},"/organizations":{"get":{"operationId":"OrganizationsController_retrieveOrganizations","parameters":[{"name":"page","required":true,"in":"query","schema":{"type":"number"}},{"name":"limit","required":true,"in":"query","schema":{"type":"number"}},{"name":"search","required":false,"in":"query","schema":{"type":"string"}},{"name":"orderBy","required":false,"in":"query","schema":{"$ref":"#/components/schemas/OrganizationOrderBy"}},{"name":"orderDirection","required":false,"in":"query","schema":{"$ref":"#/components/schemas/OrderDirection"}},{"name":"archived","required":false,"in":"query","schema":{"type":"boolean"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadOrganizationsDto"}}}}},"security":[{"bearer":[]}],"tags":["organization"]}},"/v2/e-invoicing/platform-choice":{"get":{"description":"GET qui écrit : le clic sur le CTA de l'email enregistre le choix (ABBY | OTHER), daté, source EMAIL. Répond toujours en HTML. Token inconnu → 404. Choix invalide → 400. Ligne non éditable → page explicite.","operationId":"EInvoicingController_recordPlatformChoiceFromEmailLink_v2","parameters":[{"name":"choice","required":true,"in":"query","schema":{"type":"string"}},{"name":"token","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"summary":"Enregistrer le choix de plateforme depuis un lien email (one-click, sans connexion)","tags":["e-invoicing"]}},"/v2/transactions/{id}":{"get":{"operationId":"TransactionsController_retrieveTransactionById_v2","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"Return a single transaction","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QueryTransactionDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Resource not found"}},"security":[{"bearer":[]},{"bearer":[]}],"summary":"Get a bank transaction by id","tags":["Transactions-v2"]}},"/v2/accounting-billing/invoice/{invoiceId}/reconciliate":{"post":{"description":"Associates one or more payments to a finalized invoice to record its cashing. The sum of payment amounts (in cents) must match the invoice's remaining amount with tax. Use this endpoint to mark an invoice as paid via the public API.","operationId":"AccountingBillingController_reconciliateInvoice_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to mark as paid","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReconciliateInvoiceDto"}}}},"responses":{"200":{"description":"Invoice marked as paid successfully"},"400":{"description":"Invalid payment amount or invoice not finalized"},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]},{"bearer":[]}],"summary":"Mark an invoice as paid","tags":["Accounting billing-v2"]}},"/v2/accounting-billing/advance/{advanceId}/reconciliate":{"post":{"description":"Associates one or more payments to a finalized advance to record its cashing. The sum of payment amounts (in cents) must match the advance remaining amount with tax. Use the same advanceId returned by POST /v2/billing/estimate/{id}/advance.","operationId":"AccountingBillingController_reconciliateAdvance_v2","parameters":[{"name":"advanceId","required":true,"in":"path","description":"ID of the advance to mark as paid","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReconciliateInvoiceDto"}}}},"responses":{"200":{"description":"Advance marked as paid successfully"},"400":{"description":"Invalid payment amount or advance not finalized"},"401":{"description":"Unauthorized"},"404":{"description":"Advance not found"}},"security":[{"bearer":[]},{"bearer":[]}],"summary":"Mark an advance as paid","tags":["Accounting billing-v2"]}},"/v2/accounting-billing/invoice/{invoiceId}/mark-as-unpaid":{"post":{"description":"Removes the payments associated to an invoice and resets its paid state. Use this endpoint to revert a previously paid invoice.","operationId":"AccountingBillingController_markInvoiceAsUnpaid_v2","parameters":[{"name":"invoiceId","required":true,"in":"path","description":"ID of the invoice to mark as unpaid","schema":{"type":"string"}}],"responses":{"200":{"description":"Invoice marked as unpaid successfully"},"400":{"description":"Invoice is not paid"},"401":{"description":"Unauthorized"},"404":{"description":"Invoice not found"}},"security":[{"bearer":[]},{"bearer":[]}],"summary":"Mark an invoice as unpaid","tags":["Accounting billing-v2"]}},"/v2/accounting-accounts":{"get":{"operationId":"AccountingAccountController_list_v2","parameters":[{"name":"isHidden","required":false,"in":"query","description":"Filter accounts by hidden status","schema":{"type":"boolean"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReadAccountingAccountListItemDto"}}}}}},"security":[{"bearer":[]},{"bearer":[]}],"summary":"List the accounting accounts available to the current company","tags":["Accounting account-v2"]}},"/v3/purchaseRegister/{id}":{"get":{"operationId":"PurchaseRegisterController_retrieve_v3","parameters":[{"name":"id","required":true,"in":"path","description":"ID of the purchase register entry","schema":{"type":"string"}}],"responses":{"200":{"description":"Purchase register entry retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadPurchaseRegisterItemDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Purchase register entry not found"}},"security":[{"bearer":[]}],"summary":"Get a purchase register entry by id","tags":["PurchaseRegister"]},"put":{"description":"Same payload semantics as `POST /v3/purchaseRegister`. See that endpoint for `thirdPartyId`, `entries[].vatId` and `entries[].accountingAccountNumber` documentation.","operationId":"PurchaseRegisterController_update_v3","parameters":[{"name":"id","required":true,"in":"path","description":"ID of the purchase register entry to update","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePurchaseRegisterDto"}}}},"responses":{"200":{"description":"Purchase register entry updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadPurchaseRegisterItemDto"}}}},"400":{"description":"Invalid payload"},"401":{"description":"Unauthorized"},"404":{"description":"Purchase register entry not found"}},"security":[{"bearer":[]}],"summary":"Update a purchase register entry","tags":["PurchaseRegister"]},"delete":{"operationId":"PurchaseRegisterController_remove_v3","parameters":[{"name":"id","required":true,"in":"path","description":"ID of the purchase register entry to delete","schema":{"type":"string"}}],"responses":{"204":{"description":"Purchase register entry deleted"},"401":{"description":"Unauthorized"},"404":{"description":"Purchase register entry not found"}},"security":[{"bearer":[]}],"summary":"Delete a purchase register entry","tags":["PurchaseRegister"]}},"/v3/purchaseRegister/list":{"get":{"operationId":"PurchaseRegisterController_paginate_v3","parameters":[{"name":"page","required":true,"in":"query","schema":{"type":"number"}},{"name":"limit","required":true,"in":"query","schema":{"type":"number"}},{"name":"search","required":false,"in":"query","description":"Search term","schema":{"type":"string"}},{"name":"range","required":false,"in":"query","description":"Date range as two ISO-8601 bounds [from, to]","schema":{"type":"array","items":{"type":"string"}}},{"name":"attachments","required":false,"in":"query","description":"Filter by attachments","schema":{"type":"boolean"}},{"name":"min","required":false,"in":"query","description":"Minimum amount","schema":{"type":"number"}},{"name":"max","required":false,"in":"query","description":"Maximum amount","schema":{"type":"number"}},{"name":"provider","required":false,"in":"query","description":"Filter by provider ID","schema":{"type":"string"}},{"name":"orderBy","required":false,"in":"query","description":"Sort by fields","schema":{"$ref":"#/components/schemas/PurchaseRegisterOrderBy"}},{"name":"orderDirection","required":false,"in":"query","description":"Sort direction (true for descending)","schema":{"$ref":"#/components/schemas/OrderDirection"}}],"responses":{"200":{"description":"Purchase register entries retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadPurchaseRegisterCollectionDto"}}}},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"List purchase register entries paginated","tags":["PurchaseRegister"]}},"/v3/purchaseRegister":{"post":{"description":"Creates a purchase register entry (livre des achats) for a supplier expense.\n\n**`thirdPartyId`** must be the ID of a **provider (supplier)**, NOT an organization or contact (those are customers used by invoicing). Create or list providers via `POST /provider`, `GET /providers`, etc.\n\n**`amount`** is in cents and represents the total tax-inclusive amount of the expense. Use a negative amount for a refund.\n\n**`entries`** must split `amount` line by line. Each entry exposes:\n- `amount` (cents, required) — tax-inclusive amount allocated to this line. The sum of `entries[].amount` must equal the parent `amount`.\n- `isPersonal` (boolean, required) — `true` to flag the line as a personal expense (excluded from VAT and accounting books).\n- `vatId` (number, optional) — French VAT rate identifier. Allowed values:\n  - `1` = 20.00 %\n  - `2` = 10.00 %\n  - `3` = 5.50 %\n  - `4` = 2.10 %\n  - `5` = Hors Taxe (no VAT)\n  - `6` = 8.50 % (DOM-TOM)\n  - `7` = Union Européenne (intra-EU acquisition, reverse-charged)\n  - `8` = Hors UE (extra-EU acquisition)\n- `accountingAccountNumber` (number, optional) — French chart-of-accounts number forced for this line (e.g. `606300`, `622600`, `445660`). When omitted, Abby applies a default account based on the entry type.\n\n**`paymentMethodUsed`** uses the legacy `PaymentMethod` enum (e.g. `CASH`, `BANK_CARD`, `BANK_TRANSFER`, `CHECK`, `OTHER`). Pass `otherPaymentMethodUsed` only when `paymentMethodUsed = OTHER`.","operationId":"PurchaseRegisterController_create_v3","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePurchaseRegisterDto"}}}},"responses":{"201":{"description":"Purchase register entry created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadPurchaseRegisterItemDto"}}}},"400":{"description":"Invalid payload (e.g. entries do not balance amount, or thirdPartyId is not a provider)"},"401":{"description":"Unauthorized"}},"security":[{"bearer":[]}],"summary":"Create a purchase register entry","tags":["PurchaseRegister"]}},"/v2/opportunity/categories":{"get":{"operationId":"OpportunityController_retrieveCategories_v2","parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ReadCategoryDto"}}}}}},"security":[{"bearer":[]}],"tags":["Opportunity"]}},"/v2/opportunity/{id}":{"get":{"operationId":"OpportunityController_retrieveOpportunity_v2","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadOpportunityDto"}}}}},"security":[{"bearer":[]}],"tags":["Opportunity"]},"put":{"operationId":"OpportunityController_updateOpportunity_v2","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateOpportunityDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadOpportunityDto"}}}}},"security":[{"bearer":[]}],"tags":["Opportunity"]},"delete":{"operationId":"OpportunityController_deleteOpportunity_v2","parameters":[{"name":"id","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"security":[{"bearer":[]}],"tags":["Opportunity"]}},"/v2/opportunity":{"post":{"operationId":"OpportunityController_createOpportunity_v2","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOpportunityDto"}}}},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadOpportunityDto"}}}}},"security":[{"bearer":[]}],"tags":["Opportunity"]}},"/logs/company/{companyId}":{"get":{"operationId":"LogsController_retrieveLogsByCompany","parameters":[{"name":"companyId","required":true,"in":"path","description":"ID of the company","schema":{"type":"string"}},{"name":"limit","required":true,"in":"query","description":"Number of logs to retrieve","schema":{"type":"number"}},{"name":"offset","required":true,"in":"query","description":"Offset for pagination","schema":{"type":"number"}}],"responses":{"200":{"description":"Logs retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadLogsDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Company not found"}},"security":[{"bearer":[]}],"summary":"Retrieve logs for a company","tags":["logs"]}},"/logs/{resourceId}":{"get":{"operationId":"LogsController_retrieveLastLogOfAResource","parameters":[{"name":"resourceId","required":true,"in":"path","description":"ID of the resource","schema":{"type":"string"}}],"responses":{"200":{"description":"Log retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadLogDto"}}}},"401":{"description":"Unauthorized"},"404":{"description":"Log not found"}},"security":[{"bearer":[]}],"summary":"Retrieve the last log for a resource","tags":["logs"]}}},"components":{"securitySchemes":{"bearer":{"type":"http","scheme":"bearer","bearerFormat":"API Key","description":"API key authentication. Pass your API key as a Bearer token."}},"schemas":{"AccountingAccountDto":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"number":{"type":"number"},"isVatRelated":{"type":"boolean"},"color":{"type":"string","nullable":true},"icon":{"type":"string","nullable":true},"category":{"type":"number","nullable":true},"description":{"type":"string","nullable":true},"tags":{"nullable":true,"type":"array","items":{"type":"string"}},"position":{"type":"number","nullable":true},"isHidden":{"type":"boolean"},"isPersonal":{"type":"boolean"},"companyId":{"type":"string"},"parentId":{"type":"string","nullable":true}},"required":["id","name","number","isVatRelated","color","icon","category","description","tags","position","isHidden","isPersonal","parentId"]},"AccountingBookType":{"type":"string","enum":["income","purchase"]},"AddressDto":{"type":"object","properties":{"line1":{"type":"string","example":"10 Rue Lecourbe","description":"First line of the address"},"line2":{"type":"string","example":"Apartment 4B","description":"Second line of the address"},"city":{"type":"string","example":"Paris","description":"City of the address"},"zipCode":{"type":"string","example":"75015","description":"Zip code of the address"},"country":{"example":"FR","description":"Country code of the address","allOf":[{"$ref":"#/components/schemas/CountryCode"}]}},"required":["line1","city","zipCode","country"]},"AddressType":{"type":"number","enum":[4,1,3,2]},"AdvanceItemDto":{"type":"object","properties":{"value":{"type":"number","description":"The value of the advance (amount or percentage)","example":100},"mode":{"description":"The mode of the advance (amount or percentage)","example":"AMOUNT","allOf":[{"$ref":"#/components/schemas/AdvanceMode"}]},"paymentCondition":{"description":"Payment condition for the advance","example":"ORDER","allOf":[{"$ref":"#/components/schemas/PaymentCondition"}]},"customPaymentCondition":{"type":"string","description":"Custom payment condition if OTHER is selected","nullable":true,"example":"Custom payment terms"}},"required":["value","mode"]},"AdvanceMode":{"type":"string","enum":["AMOUNT","PERCENTAGE"],"description":"The mode of the advance (amount or percentage)"},"AnnotateEntryDto":{"type":"object","properties":{"vatId":{"type":"number"},"accountingAccountNumber":{"type":"number"},"isPersonal":{"type":"boolean"},"amount":{"type":"number"}},"required":["isPersonal","amount"]},"AssociatedInvoicesDto":{"type":"object","properties":{"id":{"type":"string"},"number":{"type":"string"}},"required":["id","number"]},"BankInformationDto":{"type":"object","properties":{"bic":{"type":"string","example":"12345678901234567890"},"iban":{"type":"string","example":"FR76123456789012345678901234567890"},"holder":{"type":"string","example":"John Doe"}},"required":["bic","iban","holder"]},"BankInformationsDto":{"type":"object","properties":{"iban":{"type":"string","description":"International Bank Account Number","example":"DE89370400440532013000"},"bic":{"type":"string","description":"Bank Identifier Code","example":"DEUTDEFF"},"holder":{"type":"string","description":"Name of the account holder","example":"John Doe"}},"required":["iban","bic","holder"]},"BillingCompatibilityVersion":{"type":"string","enum":["V1","V2","V3"]},"BillingDiscountAdvancePaymentDto":{"type":"object","properties":{"value":{"example":"none","description":"Type de remise sur acompte","allOf":[{"$ref":"#/components/schemas/DiscountAdvancePayment"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`","example":"Autre"}},"required":["value"]},"BillingEmailType":{"type":"string","enum":["invoice_simple","invoice_reminder","invoice_recurring","estimate_simple"]},"BillingLatePenaltyDto":{"type":"object","properties":{"value":{"example":"three_time_legal_rate","allOf":[{"$ref":"#/components/schemas/LatePenalty"}]},"otherValue":{"type":"string","description":"Description custom si `value` vaut `other`","example":"Trois fois le taux actuel en vigueur soit 6,2 %"}},"required":["value"]},"BillingLegalsDto":{"type":"object","properties":{"headerNote":{"type":"string","example":"Header note"},"footerNote":{"type":"string","example":"Footer note"},"generalTermsAndConditionsOfSale":{"type":"string","example":"General terms and conditions"},"mentionMediator":{"type":"string","example":"Mention mediateur"},"vatMention":{"example":"not_subject","allOf":[{"$ref":"#/components/schemas/VatMention"}]},"paymentMethods":{"type":"array","example":["credit_card","direct_debit"],"items":{"$ref":"#/components/schemas/PaymentMethod"}},"otherPaymentMethod":{"type":"string","description":"Other payment method","example":"Lydia"}},"required":["vatMention","paymentMethods"]},"BillingLocale":{"type":"string","en
[...]
